/* =============================================================================
*                 Texas Instruments PGA970 Platform Software
* (c) Copyright Texas Instruments, Incorporated. All Rights Reserved.
*
* Use of this software is controlled by the terms and conditions found
* in the license agreement under which this software has been supplied.
* =========================================================================== */
/**
* @file pga970_ccs.h
*
* Header file for pga970_ccs.c
*
* @path $(CSLPATH)\PGA970\source\chip\inc
*
* @rev 1.1
*/
/* -----------------------------------------------------------------------------
*!
*! Revision History
*! ===================================
*! 23-Apr-2015 mf: Modified Abhimanyuk. Added CCS module related information.
* =========================================================================== */

#ifndef PGA970_CCS_H
#define PGA970_CCS_H

#ifdef __cplusplus
extern "C" {
#endif

#if (CCS_TESTING==1)
/* CCS_CTRL CCS control status register definitions */
#define	CONST_VDD_CURRENT_ENABLE      (1 << 4)

#define ADJ_CCS_10_1_MA               (0 << 3) | (0 << 2) | (0 << 1) | (0 << 0)
#define ADJ_CCS_11_1_MA               (0 << 3) | (0 << 2) | (0 << 1) | (1 << 0)
#define ADJ_CCS_12_1_MA               (0 << 3) | (0 << 2) | (1 << 1) | (0 << 0)
#define ADJ_CCS_13_1_MA               (0 << 3) | (0 << 2) | (1 << 1) | (1 << 0)
#define ADJ_CCS_14_2_MA               (0 << 3) | (1 << 2) | (0 << 1) | (0 << 0)
#define ADJ_CCS_15_2_MA               (0 << 3) | (1 << 2) | (0 << 1) | (1 << 0)
#define ADJ_CCS_16_2_MA               (0 << 3) | (1 << 2) | (1 << 1) | (0 << 0)
#define ADJ_CCS_17_3_MA               (0 << 3) | (1 << 2) | (1 << 1) | (1 << 0)
#define ADJ_CCS_18_3_MA               (1 << 3) | (0 << 2) | (0 << 1) | (0 << 0)
#define ADJ_CCS_19_3_MA               (1 << 3) | (0 << 2) | (0 << 1) | (1 << 0)
#define ADJ_CCS_20_3_MA               (1 << 3) | (0 << 2) | (1 << 1) | (0 << 0)
#define ADJ_CCS_21_3_MA               (1 << 3) | (0 << 2) | (1 << 1) | (1 << 0)
#define ADJ_CCS_22_3_MA               (1 << 3) | (1 << 2) | (0 << 1) | (0 << 0)
#define ADJ_CCS_23_3_MA               (1 << 3) | (1 << 2) | (0 << 1) | (1 << 0)
#define ADJ_CCS_24_3_MA               (1 << 3) | (1 << 2) | (1 << 1) | (0 << 0)
#define ADJ_CCS_25_3_MA               (1 << 3) | (1 << 2) | (1 << 1) | (1 << 0)
#define	CONST_VDD_CURRENT_DISABLE     (0 << 4)

/* ========================================================================== */
/**
 * CCS_Config() Configure CCS.
 *
 * @param ccsconfigValue Data to be written to CCS_CTRL register.
 *
 * @return none
 *
 * @post none
 */
/* ========================================================================== */
void CCS_Config(UC ccsconfigValue);

#endif /*#if (CCS_TESTING==1)*/


#ifdef __cplusplus
}
#endif

#endif /* PGA970_CCS_H */
