/* =============================================================================
*                 Texas Instruments PGA970 Platform Software
* (c) Copyright Texas Instruments, Incorporated. All Rights Reserved.
*
* Use of this software is controlled by the terms and conditions found
* in the license agreement under which this software has been supplied.
* =========================================================================== */
/**
* @file pga970_types.h
*
* Header file for C language implementation dependent definitions.
*
* @path $(CSLPATH)\PGA970\source\chip\inc
*
* @rev 1.1
*/
/* -----------------------------------------------------------------------------
*!
*! Revision History
*! ===================================
*! 08-Sept-2014 mf: Modified TusharB. Data types are type-defined.
* =========================================================================== */

#ifndef PGA970_TYPES_H
#define PGA970_TYPES_H

#ifdef __cplusplus
extern "C" {
#endif

typedef volatile signed char    VSC;    // 1 Byte
typedef volatile unsigned char  VUC;    // 1 Byte
typedef volatile signed short   VS2;    // 2 Bytes
typedef volatile unsigned short VUS;    // 2 Bytes
typedef volatile signed long    VSL;    // 4 Bytes
typedef volatile unsigned long  VUL;    // 4 Bytes
typedef volatile signed int     VSI;    // 4 Bytes
typedef volatile unsigned int   VUI;    // 4 Bytes
typedef volatile float          VFLOAT;

typedef signed char             SC;     // 1 Byte
typedef unsigned char           UC;     // 1 Byte
typedef signed short            S2;     // 2 Bytes
typedef unsigned short          US;     // 2 Bytes
typedef signed long             SL;     // 4 Bytes
typedef unsigned long           UL;     // 4 Bytes
typedef signed int              SI;     // 4 bytes
typedef unsigned int            UI;     // 4 bytes
typedef float                   FLOAT;  // 4 Bytes

#ifdef __cplusplus
}
#endif

#endif /* PGA970_TYPES_H */
