/* =============================================================================
*                 Texas Instruments PGA970 Platform Software
* (c) Copyright Texas Instruments, Incorporated. All Rights Reserved.
*
* Use of this software is controlled by the terms and conditions found
* in the license agreement under which this software has been supplied.
* =========================================================================== */
/**
* @file pga970_dev.c
*
* This File contains code used for PGA970 device related activities.
*
* @path $(CSLPATH)\PGA970\source\chip
*
* @rev 1.1
*/
/* -----------------------------------------------------------------------------
*!
*! Revision History
*! ===================================
*! 08-Sept-2014 mf: Modified TusharB. Added PGA970 system related functions.
* =========================================================================== */

/*******************************************************************************
* INCLUDE FILES
*******************************************************************************/
#include "pga970_platf.h"

/* ========================================================================== */
/**
 * @fn M0_ConfigClock() Configure Cortex M0 clock.
 *
 * @see pga970_dev.h
 */
/* ========================================================================== */
void M0_ConfigClock(UC value)
{
   CLK_CTRL_STATUS = value;
}

/* ========================================================================== */
/**
 * @fn REMAP_Config() Remaps the OTP memory to Development RAM area and
 *                    vice versa.
 *
 * @see pga970_dev.h
 */
/* ========================================================================== */
void REMAP_Config(UC rValue)
{
   REMAP = rValue;
}
