/* =============================================================================
*                 Texas Instruments PGA970 Platform Software
* (c) Copyright Texas Instruments, Incorporated. All Rights Reserved.
*
* Use of this software is controlled by the terms and conditions found
* in the license agreement under which this software has been supplied.
* =========================================================================== */
/**
* @file pga970_dif.c
*
* This File contains code used for PGA970 digital interface.
*
* @path $(CSLPATH)\PGA970\source\chip
*
* @rev 1.1
*/
/* -----------------------------------------------------------------------------
*!
*! Revision History
*! ===================================
*! 08-Sept-2014 mf: Modified TusharB. Digital interface function is defined.
* =========================================================================== */

/*******************************************************************************
* INCLUDE FILES
*******************************************************************************/
#include "pga970_platf.h"

/* ========================================================================== */
/**
 * @fn DIGITAL_Interface_Config() Configure digital interfaces for communication
 *
 * @see pga970_dif.h
 */
/* ========================================================================== */
void DIGITAL_Interface_Config(UC diconfigValue)
{
   /* Configure digital interface */
   DIG_IF_CTRL = diconfigValue;
}
