/* =============================================================================
*                 Texas Instruments PGA970 Platform Software
* (c) Copyright Texas Instruments, Incorporated. All Rights Reserved.
*
* Use of this software is controlled by the terms and conditions found
* in the license agreement under which this software has been supplied.
* =========================================================================== */
/**
* @file pga970_gpio.c
*
* This File contains code used for PGA970 GPIO related activities.
*
* @path $(CSLPATH)\PGA970\source\chip
*
* @rev 1.1
*/
/* -----------------------------------------------------------------------------
*!
*! Revision History
*! ===================================
*! 08-Sept-2014 mf: Modified TusharB. Added GPIO module related functions.
* =========================================================================== */

/*******************************************************************************
* INCLUDE FILES
*******************************************************************************/
#include "pga970_platf.h"


#if (GPIO_TESTING==1)
/* ========================================================================== */
/**
 * @fn GPIO_Config() Configure GPIO.
 *
 * @see pga970_gpio.h
 */
/* ========================================================================== */
void GPIO_Config(UC gpioDir, UC gpioOuttype)
{
   GPIO_DIR = gpioDir;
   GPIO_OPTYPE = gpioOuttype;
}

/* ========================================================================== */
/* 2 functions used to get the GPIO configuration                             */

UC Get_GPIO_Dir()       // read the value of the GPIO directions
{
   return GPIO_DIR;
}

UC Get_GPIO_Outtype()   // read the value of the GPIO output type
{
   return GPIO_OPTYPE;
}
/* ========================================================================== */

#endif /*#if (GPIO_TESTING==1)*/
/* ========================================================================== */
/**
 * @fn PIN_MUX_Config() Configure PIN_MUX except PWM3_OP_SEL bit.
 *
 * @see pga970_gpio.h
 */
/* ========================================================================== */
void PIN_MUX_Config(UC pinMuxConfig)
{
    PIN_MUX = ((PIN_MUX & ~0x06) | (pinMuxConfig & 0x06));
}
