/* =============================================================================
*                 Texas Instruments PGA970 Platform Software
* (c) Copyright Texas Instruments, Incorporated. All Rights Reserved.
*
* Use of this software is controlled by the terms and conditions found
* in the license agreement under which this software has been supplied.
* =========================================================================== */
/**
* @file pga970_isr.c
*
* This File contains PGA970 interrupt routines
*
* @path $(CSLPATH)\PGA970\source\chip
*
* @rev 1.1
*/
/* -----------------------------------------------------------------------------
*!
*! Revision History
*! ===================================
*! 01-July-2013 mf: Modified TusharB. Added Interrupt_Init function.
* =========================================================================== */

/*******************************************************************************
* INCLUDE FILES
*******************************************************************************/
#include "pga970_platf.h"

/* ========================================================================== */
/**
 * @fn Interrupt_Config() Initialization of PGA970 interrupts.
 *
 * @see pga970_isr.h
 */
/* ========================================================================== */
void Interrupt_Config(void)
{
   /* Clear interrupt pending register */
   NVIC_UNPEND0 = 0xFFFFFFFF;

   /* Set priority of NVIC interrupt */
   NVIC_PRI0 = 0x80400000;
   NVIC_PRI1 = 0xC0C0C0C0;

   /*
    * Enable NVIC interrupts
    * NVIC interrupt for external interrupt 1 i.e. TADC is disabled
    */
   NVIC_ENABLE0 = 0xFFFFFFFD;
}
