/* =============================================================================
*                 Texas Instruments PGA970 Platform Software
* (c) Copyright Texas Instruments, Incorporated. All Rights Reserved.
*
* Use of this software is controlled by the terms and conditions found
* in the license agreement under which this software has been supplied.
* =========================================================================== */
/**
* @file pga970_main.c
*
* This File contains PGA970 main functions.
*
* @path $(CSLPATH)\PGA970\source\core
*
* @rev 1.3
*/
/* -----------------------------------------------------------------------------
*!
*! Revision History
*! ===================================
*! 06-June-2013 mf: Modified TusharB.Modified main loop.
* =========================================================================== */

/*******************************************************************************
* INCLUDE FILES
*******************************************************************************/
#include "pga970_platf.h"
//#include "pga970_fram.h"
/* ========================================================================== */
/**
 * main() Main routine
 *
 * @param none
 *
 * @return none
 *
 * @post none
 *
 * @see none
 */
/* ========================================================================== */
void main(void)
{
   CFG_Peripheral_Config();
   while(1)
   {
       /* Every 2ms do main loop calculation */
       if((ADC_Count1 & Coefficients_Calc_Sampling_Rate) == 0x0000){
           APP_Calculate_Coeff();
           while((ADC_Count1 & Coefficients_Calc_Sampling_Rate) == 0x0000);
       }
   }
}
