/* =============================================================================
*                 Texas Instruments PGA970 Platform Software
* (c) Copyright Texas Instruments, Incorporated. All Rights Reserved.
*
* Use of this software is controlled by the terms and conditions found
* in the license agreement under which this software has been supplied.
* =========================================================================== */
/**
* @file pga970_fir.h
*
* Header file for pga970_fir.c
*
* @path $(CSLPATH)\PGA970\source\lib\inc
*
* @rev 1.3
*/
/* -----------------------------------------------------------------------------
*!
*! Revision History
*! ===================================
*! 06-June-2013 mf: Modified TusharB.Data types are modified as per type-def.
*!
*! 12-Apr-2013 mf: Modified ArunV. FIR_Filter function is added.
*!
*! 12-Apr-2013 mf: Modified TusharB. Branch from respective code base.
* =========================================================================== */

#ifndef PGA970_FIR_H
#define PGA970_FIR_H

#ifdef __cplusplus
extern "C" {
#endif

extern VS2 FIR_FilteradcValue[2];
extern VSL FIR_AccadcValue[2];

/* ========================================================================== */
/**
 * FIR_Reset_Init() Initializes all FIR filter related global variables.
 *
 * @param none
 *
 * @return none
 *
 * @post none
 *
 * @see none
 */
/* ========================================================================== */
void FIR_Reset_Init(void);

/* ========================================================================== */
/**
 * FIR_Filter() FIR Filter
 *
 * @param none
 *
 * @return none
 *
 * @post none
 *
 * @see none
 */
/* ========================================================================== */
S2 FIR_Filter(UL numPoints, S2 newValue, SL *prevSum, S2 *valuePtr, UL *headIdx);

#ifdef __cplusplus
}
#endif

#endif /* PGA970_FIR_H */
