/* =============================================================================
*                 Texas Instruments PGA970 Platform Software
* (c) Copyright Texas Instruments, Incorporated. All Rights Reserved.
*
* Use of this software is controlled by the terms and conditions found
* in the license agreement under which this software has been supplied.
* =========================================================================== */
/**
* @file pga970_platf.h
*
* Header file for OEM platform
*
* @path $(CSLPATH)\PGA970\source\oem\inc
*
* @rev 1.1
*/
/* -----------------------------------------------------------------------------
*!
*! Revision History
*! ===================================
*! 06-June-2013 mf: Modified TusharB. All header files are included.
* =========================================================================== */

#ifndef pga970_platf_H
#define pga970_platf_H

#ifdef __cplusplus
extern "C" {
#endif

/* Header files for CCS IDE compiler */
#include "arm_m0.h"
#include <stddef.h>

/* Common header files */
#include "pga970_types.h"
#include "pga970_switch.h"

/* Header files for chip */
#include "pga970.h"
#include "pga970_adc.h"
#include "pga970_dac.h"
#include "pga970_ccs.h"
#include "pga970_combuf.h"
#include "pga970_dev.h"
#include "pga970_dif.h"
#include "pga970_diag.h"
#include "pga970_fram.h"
#include "pga970_gpio.h"
#include "pga970_isr.h"
#include "pga970_mux.h"
#include "pga970_owi.h"
#include "pga970_syst.h"
#include "pga970_waveform.h"
#include "pga970_wdt.h"

/* Header files for core */
#include "pga970_main.h"

/* Header files for lib */
#include "pga970_fir.h"
#include "pga970_iir.h"

/* Header files for oem */
#include "pga970_app.h"
#include "pga970_cfg.h"

#ifdef __cplusplus
}
#endif

#endif /* pga970_platf_H */
