/* =============================================================================
*                 Texas Instruments PGA970 Platform Software
* (c) Copyright Texas Instruments, Incorporated. All Rights Reserved.
*
* Use of this software is controlled by the terms and conditions found
* in the license agreement under which this software has been supplied.
* =========================================================================== */
/**
* @file pga970_switch.h
*
* Switch Header file.
*
* @path $(CSLPATH)\PGA970\source\oem\inc
*
* @rev 1.1
*/
/* -----------------------------------------------------------------------------
*!
*! Revision History
*! ===================================
*! 11-May-2015 mf: Modified AbhimanyuK. Compile time switches are defined.
* =========================================================================== */

#ifndef PGA970_SWITCH_H
#define PGA970_SWITCH_H

#ifdef __cplusplus
extern "C" {
#endif

/* --------- General definitions --------- */
#define ON  1
#define OFF 0

#define SYST_TESTING            OFF
#define DIAGNOSTIC_TESTING      OFF
#define GPIO_TESTING            ON  // Switched to on NJH 09/01/20
#define FRAM_DATA_TESTING       OFF
#define FRAM_TEXT_CHECKSUM_CALC OFF
#define FRAM_DATA_CHECKSUM_CALC OFF
#define WAVEFORM_TESTING        ON  // Switched to on NJH 10/01/20
#define OWI_TESTING             OFF
#define DEVRAM_TESTING          OFF
#define COMBUF_TESTING          OFF
#define CCS_TESTING             OFF
/*
 * When using CCS + XDS200 Debugger + PGA970 EVM development setup
 * WATCHDOG has to be turned OFF.
 */
#define WATCH_DOG_TIMER_TESTING OFF

#ifdef __cplusplus
}
#endif

#endif /* PGA970_SWITCH_H */
